﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server" />
        <div>
            <telerik:RadGrid ID="RadGrid1" runat="server" DataSourceID="AccessDataSource1" GridLines="None"
                Skin="Vista">
                <ExportSettings>
                    <Pdf FontType="Subset" PaperSize="Letter" />
                    <Excel Format="Html" />
                    <Csv ColumnDelimiter="Comma" RowDelimiter="NewLine" />
                </ExportSettings>
                <MasterTableView AutoGenerateColumns="False" CommandItemDisplay="None" CurrentResetPageIndexAction="SetPageIndexToFirst"
                    DataKeyNames="ID" DataSourceID="AccessDataSource1" Dir="LTR" Frame="Border" TableLayout="Auto">
                    <RowIndicatorColumn CurrentFilterFunction="NoFilter" FilterListOptions="VaryByDataType"
                        Visible="False">
                        <HeaderStyle Width="20px" />
                    </RowIndicatorColumn>
                    <ExpandCollapseColumn CurrentFilterFunction="NoFilter" FilterListOptions="VaryByDataType"
                        Resizable="False" Visible="False">
                        <HeaderStyle Width="20px" />
                    </ExpandCollapseColumn>
                    <Columns>
                        <telerik:GridBoundColumn CurrentFilterFunction="NoFilter" DataField="ID" DataType="System.Int32"
                            FilterListOptions="VaryByDataType" ForceExtractValue="None" HeaderText="ID" ReadOnly="True"
                            SortExpression="ID" UniqueName="ID">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn CurrentFilterFunction="NoFilter" DataField="CountryID" DataType="System.Int32"
                            FilterListOptions="VaryByDataType" ForceExtractValue="None" HeaderText="CountryID"
                            SortExpression="CountryID" UniqueName="CountryID">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn CurrentFilterFunction="NoFilter" DataField="Name" FilterListOptions="VaryByDataType"
                            ForceExtractValue="None" HeaderText="Name" SortExpression="Name" UniqueName="Name">
                        </telerik:GridBoundColumn>
                    </Columns>
                    <EditFormSettings>
                        <EditColumn CurrentFilterFunction="NoFilter" FilterListOptions="VaryByDataType">
                        </EditColumn>
                    </EditFormSettings>
                </MasterTableView>
                <ClientSettings>
                    <ClientEvents OnRowContextMenu="RowContextMenu" />
                    <Selecting AllowRowSelect="true" />
                </ClientSettings>
            </telerik:RadGrid><asp:AccessDataSource ID="AccessDataSource1" runat="server" DataFile="~/App_Data/Countries.mdb"
                SelectCommand="SELECT * FROM [Cities]"></asp:AccessDataSource>
            <telerik:RadContextMenu ID="RadContextMenu1" runat="server" 
                OnClientItemClicking="onClientItemClicking"
                Flow="Horizontal" Skin="Vista">
                <ExpandAnimation Type="OutQuart" />
                <DefaultGroupSettings ExpandDirection="Auto" Flow="Vertical" />
                <CollapseAnimation Duration="200" Type="OutQuint" />
                <Items>
                    <telerik:RadMenuItem runat="server" ExpandMode="ClientSide" Text="Hide Row">
                        <GroupSettings ExpandDirection="Auto" Flow="Vertical" />
                    </telerik:RadMenuItem>
                    <telerik:RadMenuItem runat="server" ExpandMode="ClientSide" Text="Export">
                        <Items>
                            <telerik:RadMenuItem runat="server" ExpandMode="ClientSide" Text="Export To Word">
                                <GroupSettings ExpandDirection="Auto" Flow="Vertical" />
                            </telerik:RadMenuItem>
                            <telerik:RadMenuItem runat="server" ExpandMode="ClientSide" Text="Export to Excel">
                                <GroupSettings ExpandDirection="Auto" Flow="Vertical" />
                            </telerik:RadMenuItem>
                            <telerik:RadMenuItem runat="server" ExpandMode="ClientSide" Text="Export to CSV">
                                <GroupSettings ExpandDirection="Auto" Flow="Vertical" />
                            </telerik:RadMenuItem>
                        </Items>
                        <GroupSettings ExpandDirection="Auto" Flow="Vertical" />
                    </telerik:RadMenuItem>
                </Items>
            </telerik:RadContextMenu>

<script type="text/javascript">
var index; 

function RowContextMenu(sender, eventArgs)
{ 
   var menu = $find("<%= RadContextMenu1.ClientID %>");
   
   menu.hide();
   
   var domEvent = eventArgs.get_domEvent();
   var source = domEvent.target || domEvent.srcElement;
   index = eventArgs.get_itemIndexHierarchical();
   
   var masterTable = sender.get_masterTableView();
   masterTable.clearSelectedItems();
   //select the current row
   masterTable.selectItem(masterTable.get_dataItems()[index].get_element());

   //get the first cell of the row
   var cell = masterTable.get_dataItems()[index].get_element().cells[0];    
    
   if (source == cell)
   {   
        menu.show(domEvent);
   }
   $telerik.cancelRawEvent(domEvent);
}

function onClientItemClicking(sender, eventArgs)
{
    var text = eventArgs.get_item().get_text();
    var masterTable = $find("<%=RadGrid1.ClientID %>").get_masterTableView();
    
    switch (text)
    {
        case "Export To Word":           
            masterTable.exportToWord();
            break;
        case "Export to Excel":
            masterTable.exportToExcel();
            break;
        case "Export to CSV":
            masterTable.exportToCsv();
            break;
        case "Hide Row":
            masterTable.hideItem(index);
            break;
    }    
}
</script>

        </div>
    </form>
</body>
</html>
